> For the complete documentation index, see [llms.txt](https://docs.facefusion.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facefusion.io/usage/cli-arguments/processors/face-swapper.md).

# Face Swapper

## CLI Arguments

### Face Swapper Model

Choose the model responsible for swapping the face.

Argument: `--face-swapper-model`

Default: `inswapper_128_fp16`

Choices:

* `blendswap_256`
* `ghost_1_256`
* `ghost_2_256`
* `ghost_3_256`
* `hififace_unofficial_256`
* `hyperswap_1a_256`
* `hyperswap_1b_256`
* `hyperswap_1c_256`
* `inswapper_128`
* `inswapper_128_fp16`
* `simswap_256`
* `simswap_unofficial_512`
* `uniface_256`

Example: `--face-swapper-model hyperswap_1a_256`

### Face Swapper Pixel Boost

Choose the pixel boost resolution for the face swapper.

Argument: `--face-swapper-pixel-boost`

Default: `128x128`

Choices:

* `128x128`
* `256x256`
* `384x384`
* `512x512`
* `768x768`
* `1024x1024`

Example: `--face-swapper-pixel-boost 512x512`

### Face Swapper Weight

Specify the degree of weight applied to the face.

Argument: `--face-enhancer-weight`

Default: `0.5`

Range: `0.0` to `1.0` at `0.05`

Example: `--face-swapper-weight 1.0`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
face_swapper_model = hyperswap_1a_256
face_swapper_pixel_boost = 512x512
face_swapper_weight = 1.0
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/face-swapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
